Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename fs-promise
%global enable_tests 1

Name:		nodejs-fs-promise
Version:	2.0.3
Release:	alt1_4
Summary:	Filesystem methods as promises with fs-extra

License:	MIT
URL:		https://github.com/kevinbeaty/fs-promise
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch

BuildRequires:	rpm-build-nodejs node-devel
BuildRequires:	npm(fs-extra)
BuildRequires:	npm(mz)
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif
Source44: import.info

%description
Filesystem methods as promises with fs-extra


%prep
%setup -q -n package

chmod -x README.md

%nodejs_fixdep fs-extra

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 2.0.3-alt1_4
- new version

